%define name prey
%define version 0.5.3
%define release %mkrel 1

Summary: Prey - tracking device for your laptop
Name:	 %{name}
Version: %{version}
Release: %{release}
License: GPLv3
Group:	 Monitoring
URL:	 http://preyproject.com/
Source: http://preyproject.com/%{name}-%{version}-linux.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	desktop-file-utils
Requires: pygtk2.0 >= 2.6
Requires: python >= %{py_ver}
Requires: curl
Requires: wget
Requires: gksu
Requires: perl-Net-SSLeay
Requires: perl-IO-Socket-SSL
Requires: ImageMagick
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %{name} < %version


%description
Prey is a lightweight application that will help you track and find your laptop 
if it ever gets stolen.

The script runs at a specified interval in your machine, and checks for a 
specified URL in the web. If the URL exists it means the computer/laptop has 
been stolen, and thus goes through the information gathering routine and sends 
all that info through to a previously defined email address. You can also not
define a URL and in that case the program will send the data every time it runs.

You can also use the Prey web control panel (control.preyproject.com)
to manage the computer state, as well as toggling different modules for
triggering certain behaviours remotely. In this case you don't have to
worry about the URL thing since it takes care of that for you. You only
need to register and insert the API and Device keys in the Prey 
configuration.

%prep
%setup -q -n %{name}


%build

%install
rm -rf %{buildroot}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -af * $RPM_BUILD_ROOT%{_datadir}/%{name}



mkdir -p %buildroot/%_bindir
cat > %buildroot/%_bindir/%{name} << EOF
#!/bin/sh
cd /usr/share/prey/platform/linux
exec ./prey-config.py
EOF

chmod +x %{buildroot}%{_bindir}/%{name}

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Prey
Comment=Tracking device for your laptop
Exec=gksu -l %{name}
Icon=%{name}
Terminal=false 
Type=Application
StartupNotify="true" 
Categories=GTK;Utility;X-MandrivaLinux-MoreApplications-Other;
EOF

#icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 pixmaps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png 
convert -geometry 48 %{buildroot}%{_datadir}/pixmaps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}


%post
%{update_menus}


%postun
%{clean_menus}


%files 
%defattr(-,root,root,-)
%doc README LICENSE 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Jun 11 2011 Slax <root@linuxgator.org> 0.5.3-slax2011
- 0.5.3

* Thu Dec 30 2010 Texstar <texstar at gmail.com. 0.5.1-1pclos2010
- 0.5.1

* Wed Nov 04 2009 slick50 <lxgator@gmail.com> 0.3.3-1pclos2010
- initial pkg

